uudoc(1)

NAME
uudoc - Remove (unlink) the FILE(s)

SYNOPSIS
uudoc [-f|--force] [-i ] [-I ] [--interactive] [--one-file-system] [--no-preserve-root] [--preserve-root] [-r|--recursive] [-d|--dir] [-v|--verbose] [-g|--progress] [-h|--help] [-V|--version] [files]

DESCRIPTION
Remove (unlink) the FILE(s)

OPTIONS

-f, --force
    ignore nonexistent files and arguments, never prompt

-i  prompt before every removal

-I  prompt once before removing more than three files, or when removing recursively. Less intrusive than -i, while still giving some protection against most mistakes

--interactive[=<WHEN>]
    prompt according to WHEN: never, once (-I), or always (-i). Without WHEN, prompts always
    [possible values: always, once, never]

--one-file-system
    when removing a hierarchy recursively, skip any directory that is on a file system different from that of the corresponding command line argument (NOT IMPLEMENTED)

--no-preserve-root
    do not treat '/' specially

--preserve-root
    do not remove '/' (default)

-r, --recursive
    remove directories and their contents recursively

-d, --dir
    remove empty directories

-v, --verbose
    explain what is being done

-g, --progress
    display a progress bar. Note: this feature is not supported by GNU coreutils.

-h, --help
    Print help

-V, --version
    Print version

[files]

EXTRA
By default, rm does not remove directories. Use the --recursive (-r or -R) option to remove each listed directory, too, along with all of its contents To remove a file whose name starts with a '-', for example '-foo', use one of these commands: rm -- -foo rm ./-foo Note that if you use rm to remove a file, it might be possible to recover some of its contents, given sufficient expertise and/or time. For greater assurance that the contents are truly unrecoverable, consider using shred.

VERSION
v(uutils coreutils) 0.4.0